#! /bin/bash

activeconfig='laptop'

if [ -f ~/.screenlayout.info ] ; then
    activeconfig=`cat ~/.screenlayout.info`
fi

nextconfig='laptop'

case $activeconfig in
    home)
        nextconfig='home-office'
        ;;
    home-office)
        nextconfig='laptop'
        ;;
    laptop)
        nextconfig='home'
        ;;
esac

echo ${nextconfig} > ~/.screenlayout.info

case $nextconfig in
    home)
        # Home
        xrandr --output DP-2-1 --primary --mode 2560x1080 --pos 0x0 --rotate normal \
            --output DP-2-2 --off \
            --output DP-2-3 --off \
            --output eDP-1 --off \
            --output HDMI-2 --off \
            --output HDMI-1 --off \
            --output DP-2 --off \
            --output DP-1 --off
        ;;
    home-office)
        # Home Office
        xrandr --output DP-2-1 --primary --mode 2560x1080 --pos 0x520 --rotate normal \
            --output DP-2-2 --mode 1920x1080 --pos 2560x0 --rotate left \
            --output DP-2-3 --off \
            --output eDP-1 --off \
            --output HDMI-2 --off \
            --output HDMI-1 --off \
            --output DP-2 --off \
            --output DP-1 --off
        ;;
    laptop)
        # Laptop mode
        xrandr --output DP-2-1 --off \
            --output DP-2-2 --off \
            --output DP-2-3 --off \
            --output eDP-1 --primary --mode 1920x1080 --pos 0x0 --rotate normal \
            --output HDMI-2 --off \
            --output HDMI-1 --off \
            --output DP-2 --off \
            --output DP-1 --off
        ;;
esac
